<?php
/**
 * @file
 * ocio_news.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_news_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ocio_news_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_custom_breadcrumb_features_default_settings().
 */
function ocio_news_custom_breadcrumb_features_default_settings() {
  $custom_breadcrumbs = array();

  // Exported custom breadcrumb: news.
  $custom_breadcrumbs['news'] = array(
    'name' => 'News',
    'titles' => 'News',
    'paths' => 'news',
    'visibility_php' => '',
    'node_type' => 'article',
    'language' => '',
    'machine_name' => 'news',
  );

  return $custom_breadcrumbs;
}

/**
 * Implements hook_field_default_field_instances_alter().
 */
function ocio_news_field_default_field_instances_alter(&$data) {
  if (isset($data['node-article-field_display_in_view_panes'])) {
    $data['node-article-field_display_in_view_panes']['display']['rss'] = array(
      'label' => 'above',
      'settings' => array(),
      'type' => 'hidden',
      'weight' => 3,
    ); /* WAS: '' */
  }
  if (isset($data['node-article-field_featured_image'])) {
    $data['node-article-field_featured_image']['display']['rss'] = array(
      'label' => 'hidden',
      'module' => 'image',
      'settings' => array(
        'image_link' => '',
        'image_style' => 'teaser_image',
      ),
      'type' => 'image',
      'weight' => 1,
    ); /* WAS: '' */
  }
  if (isset($data['node-article-field_ocio_body'])) {
    $data['node-article-field_ocio_body']['display']['rss'] = array(
      'label' => 'hidden',
      'module' => 'text',
      'settings' => array(
        'trim_length' => 600,
      ),
      'type' => 'text_summary_or_trimmed',
      'weight' => 0,
    ); /* WAS: '' */
  }
  if (isset($data['node-article-field_tags'])) {
    $data['node-article-field_tags']['display']['rss'] = array(
      'label' => 'hidden',
      'module' => 'taxonomy',
      'settings' => array(),
      'type' => 'taxonomy_term_reference_rss_category',
      'weight' => 2,
    ); /* WAS: '' */
  }
}

/**
 * Implements hook_strongarm_alter().
 */
function ocio_news_strongarm_alter(&$data) {
  if (isset($data['field_bundle_settings_node__article'])) {
    $data['field_bundle_settings_node__article']->value['view_modes']['rss']['custom_settings'] = TRUE; /* WAS: FALSE */
  }
}

/**
 * Implements hook_node_info().
 */
function ocio_news_node_info() {
  $items = array(
    'article' => array(
      'name' => t('News Article'),
      'base' => 'node_content',
      'description' => t('Use for time-sensitive announcements and/or information that is updated more frequently. '),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
