<?php
/**
 * @file
 * wcm_search.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_search_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "apachesolr" && $api == "apachesolr_environments") {
    return array("version" => "1");
  }
  if ($module == "apachesolr_search" && $api == "apachesolr_search_defaults") {
    return array("version" => "3");
  }
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_default_search_api_index_alter().
 */
function wcm_search_default_search_api_index_alter(&$data) {
  if (isset($data['database_node_index'])) {
    $data['database_node_index']->options['data_alter_callbacks']['search_api_alter_add_viewed_entity']['status'] = 0; /* WAS: 1 */
    unset($data['database_node_index']->options['fields']['search_api_viewed']);
  }
  if (isset($data['node_index'])) {
    $data['node_index']->options['data_alter_callbacks']['search_api_alter_add_url']['status'] = 0; /* WAS: 1 */
    $data['node_index']->options['data_alter_callbacks']['search_api_alter_add_viewed_entity']['status'] = 0; /* WAS: 1 */
    $data['node_index']->options['data_alter_callbacks']['search_api_alter_node_access']['status'] = 0; /* WAS: 1 */
    $data['node_index']->options['data_alter_callbacks']['search_api_attachments_alter_settings'] = array(
      'status' => 0,
      'weight' => 0,
      'settings' => array(
        'excluded_extensions' => 'aif art avi bmp gif ico mov oga ogv png psd ra ram rgb flv',
      ),
    ); /* WAS: '' */
    $data['node_index']->options['processors']['search_api_case_ignore']['status'] = 0; /* WAS: 1 */
    $data['node_index']->options['processors']['search_api_tokenizer']['status'] = 0; /* WAS: 1 */
    unset($data['node_index']->options['fields']['search_api_access_node']);
    unset($data['node_index']->options['fields']['search_api_url']);
    unset($data['node_index']->options['fields']['search_api_viewed']);
    unset($data['node_index']->options['processors']['search_api_case_ignore']['settings']['fields']['search_api_viewed']);
    unset($data['node_index']->options['processors']['search_api_html_filter']['settings']['fields']['search_api_viewed']);
    unset($data['node_index']->options['processors']['search_api_tokenizer']['settings']['fields']['search_api_viewed']);
    unset($data['node_index']->options['processors']['search_api_transliteration']['settings']['fields']['search_api_viewed']);
  }
}

/**
 * Implements hook_default_search_api_server_alter().
 */
function wcm_search_default_search_api_server_alter(&$data) {
  if (isset($data['database_server'])) {
    unset($data['database_server']->options['indexes']['database_node_index']['search_api_viewed']);
  }
}

/**
 * Implements hook_views_default_views_alter().
 */
function wcm_search_views_default_views_alter(&$data) {
  if (isset($data['panopoly_search'])) {
    $data['panopoly_search']->display['default']->display_options['arguments']['search_api_views_fulltext']['breadcrumb'] = 'test'; /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['arguments']['search_api_views_fulltext']['breadcrumb_enable'] = TRUE; /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['arguments']['search_api_views_fulltext']['not'] = 0; /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['arguments']['search_api_views_fulltext']['title'] = 'Search results for: "%1"'; /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['arguments']['search_api_views_fulltext']['title_enable'] = TRUE; /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['empty']['area']['empty'] = TRUE; /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['empty']['area']['format'] = 'filtered_html'; /* WAS: 'panopoly_html_text' */
    $data['panopoly_search']->display['default']->display_options['fields']['search_api_excerpt'] = array(
      'id' => 'search_api_excerpt',
      'table' => 'search_api_index_node_index',
      'field' => 'search_api_excerpt',
      'label' => '',
      'element_label_colon' => FALSE,
      'link_to_entity' => 0,
    ); /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['query']['options']['entity_access'] = 0; /* WAS: '' */
    $data['panopoly_search']->display['default']->display_options['query']['options']['search_api_bypass_access'] = 0; /* WAS: '' */
    $data['panopoly_search']->display['page_1'] = unserialize('O:13:"views_display":7:{s:15:"display_options";a:2:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:6:"search";}s:8:"db_table";s:13:"views_display";s:3:"vid";i:0;s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";i:0;}'); /* WAS: '' */
    unset($data['panopoly_search']->display['default']->display_options['fields']['body']);
    unset($data['panopoly_search']->display['default']->display_options['fields']['field_featured_image']);
  }
}
