<?php
/**
 * @file
 * Template for custom ocio-omega-sidebar-tiles Panopoly layout.
 *
 * Variables:
 * - $css_id: An optional CSS id to use for the layout.
 * - $content: An array of content, each item in the array is keyed to one
 * panel of the layout. This layout supports the following sections:
 */
?>

<div class="panel-display ocio-omega-sidebar-tiles clearfix <?php if (!empty($class)) { print $class; } ?>" <?php if (!empty($css_id)) { print "id=\"$css_id\""; } ?>>
  
  <!-- header row -->
  <div class="row-header panels-row <?php print $panels_row['header']; ?>">
    <div class="ocio-omega-sidebar-tiles-container ocio-omega-sidebar-tiles-header clearfix panel-panel row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebar-tiles-container-inner ocio-omega-sidebar-tiles-header-inner panel-panel-inner span12">
        <?php print $content['header']; ?>
      </div>
    </div>
  </div>

  <!-- Row 1 -->
  <div class="row-1 panels-row <?php print $panels_row['row_1']; ?>">
    <div class="ocio-omega-sidebar-tiles-container ocio-omega-sidebar-tiles-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      
      <div class="ocio-omega-sidebar-tiles-column-content-region ocio-omega-sidebar-tiles-column-left ocio-omega-sidebar-tiles-column panel-panel span3">
        <div class="ocio-omega-sidebar-tiles-column-content-region-inner ocio-omega-sidebar-tiles-column-left-inner ocio-omega-sidebar-tiles-column-inner panel-panel-inner">
          <?php print $content['row_1_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebar-tiles-column-content-region ocio-omega-sidebar-tiles-column-right ocio-omega-sidebar-tiles-column panel-panel span9">
        <div class="ocio-omega-sidebar-tiles-column-content-region-inner ocio-omega-sidebar-tiles-column-right-inner ocio-omega-sidebar-tiles-column-inner panel-panel-inner">
          <?php print $content['row_1_col_2']; ?>
        </div>
      </div>
      
      <!-- row 2 tiles -->
      <div class="ocio-omega-sidebar-tiles-container ocio-omega-sidebar-tiles-tile-content clearfix row-fluid">
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile1 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile1-inner panel-panel-inner">
            <?php print $content['row_2_tile_1']; ?>
          </div>
        </div>
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile2 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile2-inner panel-panel-inner">
            <?php print $content['row_2_tile_2']; ?>
          </div>
        </div>
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile3 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile3-inner panel-panel-inner">
            <?php print $content['row_2_tile_3']; ?>
          </div>
        </div>
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile4 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile4-inner panel-panel-inner">
            <?php print $content['row_2_tile_4']; ?>
          </div>
        </div>
      </div>
      
      <!-- row 3 tiles -->
      <div class="ocio-omega-sidebar-tiles-container ocio-omega-sidebar-tiles-tile-content clearfix row-fluid">
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile1 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile1-inner panel-panel-inner">
            <?php print $content['row_3_tile_1']; ?>
          </div>
        </div>
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile2 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile2-inner panel-panel-inner">
            <?php print $content['row_3_tile_2']; ?>
          </div>
        </div>
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile3 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile3-inner panel-panel-inner">
            <?php print $content['row_3_tile_3']; ?>
          </div>
        </div>
        <div class="ocio-omega-sidebar-tiles-tile-content-region4 ocio-omega-sidebar-tiles-tile4 panel-panel tile-panel clearfix span3">
          <div class="ocio-omega-sidebar-tiles-tile-content-region4-inner ocio-omega-sidebar-tiles-tile4-inner panel-panel-inner">
            <?php print $content['row_3_tile_4']; ?>
          </div>
        </div>
      </div>
      
    </div>
  </div>
  
  
  <!-- Row 4 -->
  <div class="row-1 panels-row <?php print $panels_row['row_4']; ?>">
    <div class="ocio-omega-sidebar-tiles-container ocio-omega-sidebar-tiles-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebar-tiles-column-content-region ocio-omega-sidebar-tiles-column-left ocio-omega-sidebar-tiles-column panel-panel span3">
        <div class="ocio-omega-sidebar-tiles-column-content-region-inner ocio-omega-sidebar-tiles-column-left-inner ocio-omega-sidebar-tiles-column-inner panel-panel-inner">
          <?php print $content['row_4_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebar-tiles-column-content-region ocio-omega-sidebar-tiles-column-right ocio-omega-sidebar-tiles-column panel-panel span9">
        <div class="ocio-omega-sidebar-tiles-column-content-region-inner ocio-omega-sidebar-tiles-column-right-inner ocio-omega-sidebar-tiles-column-inner panel-panel-inner">
          <?php print $content['row_4_col_2']; ?>
        </div>
      </div>
    </div>
  </div>

  <!-- Row 5 -->
  <div class="row-2 panels-row <?php print $panels_row['row_5']; ?>">
    <div class="ocio-omega-sidebar-tiles-container ocio-omega-sidebar-tiles-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebar-tiles-column-content-region ocio-omega-sidebar-tiles-column-left ocio-omega-sidebar-tiles-column panel-panel span9">
        <div class="ocio-omega-sidebar-tiles-column-content-region-inner ocio-omega-sidebar-tiles-column-left-inner ocio-omega-sidebar-tiles-column-inner panel-panel-inner">
          <?php print $content['row_5_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebar-tiles-column-content-region ocio-omega-sidebar-tiles-column-right ocio-omega-sidebar-tiles-column panel-panel span3">
        <div class="ocio-omega-sidebar-tiles-column-content-region-inner ocio-omega-sidebar-tiles-column-right-inner ocio-omega-sidebar-tiles-column-inner panel-panel-inner">
          <?php print $content['row_5_col_2']; ?>
        </div>
      </div>
    </div>
  </div>

  <!-- footer row -->
  <div class="row-footer panels-row <?php print $panels_row['footer']; ?>">
    <div class="ocio-omega-sidebar-tiles-container ocio-omega-sidebar-tiles-footer clearfix panel-panel row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebar-tiles-container-inner ocio-omega-sidebar-tiles-footer-inner panel-panel-inner span12">
        <?php print $content['footer']; ?>
      </div>
    </div>
  </div>

</div><!-- /.ocio-omega-sidebar-tiles -->
