<?php
/**
 * @file
 * Template for custom ocio-omega-sidebars Panopoly layout.
 *
 * Variables:
 * - $css_id: An optional CSS id to use for the layout.
 * - $content: An array of content, each item in the array is keyed to one
 * panel of the layout. This layout supports the following sections:
 */
?>

<div class="panel-display ocio-omega-sidebars clearfix <?php if (!empty($class)) { print $class; } ?>" <?php if (!empty($css_id)) { print "id=\"$css_id\""; } ?>>
  <!-- header row -->
  <div class="row-header panels-row <?php print $panels_row['header']; ?>">
    <div class="ocio-omega-sidebars-container ocio-omega-sidebars-header clearfix panel-panel row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebars-container-inner ocio-omega-sidebars-header-inner panel-panel-inner span12">
        <?php print $content['header']; ?>
      </div>
    </div>
  </div>

  <!-- Row 1 -->
  <div class="row-1 panels-row <?php print $panels_row['row_1']; ?>">
    <div class="ocio-omega-sidebars-container ocio-omega-sidebars-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-left ocio-omega-sidebars-column panel-panel span3">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-left-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_1_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-right ocio-omega-sidebars-column panel-panel span9">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-right-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_1_col_2']; ?>
        </div>
      </div>
    </div>
  </div>

  <!-- Row 2 -->
  <div class="row-2 panels-row <?php print $panels_row['row_2']; ?>">
    <div class="ocio-omega-sidebars-container ocio-omega-sidebars-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-left ocio-omega-sidebars-column panel-panel span9">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-left-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_2_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-right ocio-omega-sidebars-column panel-panel span3">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-right-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_2_col_2']; ?>
        </div>
      </div>
    </div>
  </div>
  
  <!-- Row 3 -->
  <div class="row-2 panels-row <?php print $panels_row['row_3']; ?>">
    <div class="ocio-omega-sidebars-container ocio-omega-sidebars-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-left ocio-omega-sidebars-column panel-panel span6">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-left-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_3_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-right ocio-omega-sidebars-column panel-panel span6">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-right-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_3_col_2']; ?>
        </div>
      </div>
    </div>
  </div>
  
  <!-- Row 4 -->
  <div class="row-1 panels-row <?php print $panels_row['row_4']; ?>">
    <div class="ocio-omega-sidebars-container ocio-omega-sidebars-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-left ocio-omega-sidebars-column panel-panel span3">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-left-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_4_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-right ocio-omega-sidebars-column panel-panel span9">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-right-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_4_col_2']; ?>
        </div>
      </div>
    </div>
  </div>

  <!-- Row 5 -->
  <div class="row-2 panels-row <?php print $panels_row['row_5']; ?>">
    <div class="ocio-omega-sidebars-container ocio-omega-sidebars-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-left ocio-omega-sidebars-column panel-panel span9">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-left-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_5_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-sidebars-column-content-region ocio-omega-sidebars-column-right ocio-omega-sidebars-column panel-panel span3">
        <div class="ocio-omega-sidebars-column-content-region-inner ocio-omega-sidebars-column-right-inner ocio-omega-sidebars-column-inner panel-panel-inner">
          <?php print $content['row_5_col_2']; ?>
        </div>
      </div>
    </div>
  </div>

  <!-- footer row -->
  <div class="row-footer panels-row <?php print $panels_row['footer']; ?>">
    <div class="ocio-omega-sidebars-container ocio-omega-sidebars-footer clearfix panel-panel row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-sidebars-container-inner ocio-omega-sidebars-footer-inner panel-panel-inner span12">
        <?php print $content['footer']; ?>
      </div>
    </div>
  </div>

</div><!-- /.ocio-omega-sidebars -->
